# Security update for xwayland

Announcement ID: SUSE-SU-2023:4933-1  
Rating: important  
References:

  * bsc#1217765

  
Affected Products:

  * openSUSE Leap 15.5
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Linux Enterprise Workstation Extension 15 SP5

  
  
An update that has one security fix can now be installed.

## Description:

This update for xwayland fixes the following issues:

  * CVE-2023-6377: Fixed out-of-bounds memory write in XKB button actions
    (bsc#1217765).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch SUSE-2023-4933=1 openSUSE-SLE-15.5-2023-4933=1

  * SUSE Linux Enterprise Workstation Extension 15 SP5  
    zypper in -t patch SUSE-SLE-Product-WE-15-SP5-2023-4933=1

## Package List:

  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64 i586)
    * xwayland-debugsource-22.1.5-150500.7.11.1
    * xwayland-devel-22.1.5-150500.7.11.1
    * xwayland-debuginfo-22.1.5-150500.7.11.1
    * xwayland-22.1.5-150500.7.11.1
  * SUSE Linux Enterprise Workstation Extension 15 SP5 (x86_64)
    * xwayland-debugsource-22.1.5-150500.7.11.1
    * xwayland-debuginfo-22.1.5-150500.7.11.1
    * xwayland-22.1.5-150500.7.11.1

## References:

  * https://bugzilla.suse.com/show_bug.cgi?id=1217765

SUSE: 2023:4933-1 important: xwayland

December 20, 2023
* bsc#1217765 Affected Products: * openSUSE Leap 15.5 * SUSE Linux Enterprise Desktop 15 SP5

Summary

## This update for xwayland fixes the following issues: * CVE-2023-6377: Fixed out-of-bounds memory write in XKB button actions (bsc#1217765). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch SUSE-2023-4933=1 openSUSE-SLE-15.5-2023-4933=1 * SUSE Linux Enterprise Workstation Extension 15 SP5 zypper in -t patch SUSE-SLE-Product-WE-15-SP5-2023-4933=1 ## Package List: * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64 i586) * xwayland-debugsource-22.1.5-150500.7.11.1 * xwayland-devel-22.1.5-150500.7.11.1 * xwayland-debuginfo-22.1.5-150500.7.11.1 * xwayland-22.1.5-150500.7.11.1 * SUSE Linux Enterprise Workstation Extension 15 SP5 (x86_64) * xwayland-debugsource-22.1.5-150500.7.11.1 * xwayland-debuginfo-22.1.5-150500.7.11.1 * xwayland-22.1.5-150500.7.11.1

References

* bsc#1217765

Affected Products:

* openSUSE Leap 15.5

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Linux Enterprise Workstation Extension 15 SP5

An update that has one security fix can now be installed.

##

* https://bugzilla.suse.com/show_bug.cgi?id=1217765

Severity
Announcement ID: SUSE-SU-2023:4933-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo